%define upstream_name    Module-Load-Util
%define upstream_version 0.012

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Some utility routines related to module loading
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(FindBin)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Regexp::Pattern::Perl::Module) >= 0.5.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Module::Load::Util provides some utility routines related to module loading.

Load a module with require() followed by calling the module's import() (unless
instructed to skip importing). Main feature of this function is the flexibility
in the $module_with_optional_args argument, as well as some options like
namespace prefix. Suitable to be used to load plugins for your application, for
example, where you can specify the plugin to load as simply a string or a
2-element array.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Thu Aug 22 2024 neoclust <neoclust> 0.12.0-2.mga10
+ Revision: 2088132
- Rebuild against new perl

* Wed May 22 2024 tv <tv> 0.12.0-1.mga10
+ Revision: 2065939
- update to 0.012

* Sun Apr 28 2024 tv <tv> 0.11.0-1.mga10
+ Revision: 2061448
- update to 0.011

* Sat Jan 27 2024 tv <tv> 0.10.0-1.mga10
+ Revision: 2035353
- update to 0.010

* Tue Nov 28 2023 tv <tv> 0.9.0-2.mga10
+ Revision: 2010930
- Rebuild for perl-5.38

* Tue Aug 29 2023 tv <tv> 0.9.0-1.mga10
+ Revision: 1980993
- update to 0.009

* Mon Mar 21 2022 umeabot <umeabot> 0.8.0-2.mga9
+ Revision: 1816564
- Mageia 9 Mass Rebuild

* Tue Mar 08 2022 tv <tv> 0.8.0-1.mga9
+ Revision: 1789680
- update to 0.008

* Fri Mar 04 2022 tv <tv> 0.7.0-1.mga9
+ Revision: 1788353
- update to 0.007

* Mon Oct 04 2021 tv <tv> 0.6.0-1.mga9
+ Revision: 1749251
- update to 0.006

* Thu Feb 25 2021 tv <tv> 0.4.0-1.mga9
+ Revision: 1690320
- update to 0.004

* Tue Jul 14 2020 tv <tv> 0.3.0-1.mga8
+ Revision: 1606076
- imported package perl-Module-Load-Util


* Tue Jul 14 2020 cpan2dist 0.003-1mga
- initial mageia release, generated with cpan2dist
